Package org.codehaus.commons.compiler.util.resource

# Class JarDirectoriesResourceFinder

java.lang.Object
org.codehaus.commons.compiler.util.resource.ResourceFinder
org.codehaus.commons.compiler.util.resource.ListableResourceFinder
org.codehaus.commons.compiler.util.resource.MultiResourceFinder
org.codehaus.commons.compiler.util.resource.LazyMultiResourceFinder
org.codehaus.commons.compiler.util.resource.JarDirectoriesResourceFinder

public class JarDirectoriesResourceFinder extends LazyMultiResourceFinder
Finds resources in any of the "*.jar" files that exist in a given set of directories.

## Field Summary

### Fields inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`EMPTY_RESOURCE_FINDER`

## Constructor Summary

Constructors
Constructor
Description
`JarDirectoriesResourceFinder(File[] directories)`

## Method Summary

### Methods inherited from class org.codehaus.commons.compiler.util.resource.MultiResourceFinder

`findResource, list`

### Methods inherited from class org.codehaus.commons.compiler.util.resource.ResourceFinder

`findResourceAsStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JarDirectoriesResourceFinder

public JarDirectoriesResourceFinder(File[] directories)

Parameters:
  `directories` - The set of directories to search for JAR files.